Summary: A Tcl/Tk sound file editor.
Name: SoundStudio
Version: 1.0.3
Release: 6
Group: Applications/Multimedia
Copyright: GPL
Source: SoundStudio-1.0.3.tar.gz
#URL: http://www.elec-eng.leeds.ac.uk/staff/een6njb/Software/Studio/screens.html
BuildRoot: /var/tmp/SoundStudio-root
Requires: tcl >= 7.4, tk >= 4.0, sox >= 11.4, /bin/more

%description
Sound Studio provides a graphical user interface for manipulating
digitized sound.  With Sound Studio, you can record, play and edit sound
files in various formats, including Microsoft's .wav, Sun's .au, and
Creative Lab's .voc formats. You can adjust recording levels and output
volumes using your sound card's built-in mixer.  Sound Studio also
provides you with information about the sample and allows conversion
into other formats, sampling rates, etc.

%prep
%setup -q

%build
export MYFILES=/usr/lib/${RPM_PACKAGE_NAME}
./build default

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Multimedia
mkdir -p ${RPM_BUILD_ROOT}/usr/share/icons/
mkdir -p ${RPM_BUILD_ROOT}/usr/share/icons/mini
install -m755 -d ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
install -m755 -d ${RPM_BUILD_ROOT}/usr/bin
install -m555 studio reset_dsp ${RPM_BUILD_ROOT}/usr/bin
install -m555 maxmin studio_mixer fader ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
%ifarch i386
install -m555 studio_tool ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
%endif
install -m444 *.tk *.ico ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
install -m444 help1.hlp rubber.wav v12.au ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
install -m644 studio-mini.xpm ${RPM_BUILD_ROOT}/usr/share/icons/mini/studio.xpm
install -m644 studio.xpm ${RPM_BUILD_ROOT}/usr/share/icons/studio.xpm

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/SoundStudio.desktop <<EOF
[Desktop Entry]
Name=SoundStudio
Type=Application
Description=A Tcl/Tk sound file editor.
Exec=studio
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING README studio.lsm DOCS/*
/usr/bin/studio
/usr/bin/reset_dsp
/usr/lib/SoundStudio
%config /etc/X11/applnk/Multimedia/SoundStudio.desktop
/usr/share/icons/studio.xpm
/usr/share/icons/mini/studio.xpm

%changelog
* Mon Feb 19 2001 Tim Powers <timp@redhat.com>
- remove URL and location to source, it seems it doesn't exist anymore
  #28154

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- fixed broken install routine so regular users can build

* Tue May 23 2000 Tim Powers <timp@redhat.com>
- updated to 1.0.3 
- use applnk instead of wmconfig

* Tue Oct 26 1999 Tim Powers <timp@redhat.com>
- using spec file downloaded from
  http://www.elec-eng.leeds.ac.uk/staff/een6njb/Software/Studio/screens.html
- strip binaries
- added %post and %postun sections
- added %ifarch in the %install section so that sparc and alpha would build
  (they don't have studio_tool)
